> For the complete documentation index, see [llms.txt](https://aplazo.gitbook.io/aplazo-integrations/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://aplazo.gitbook.io/aplazo-integrations/api-reference/in-store-api/resend-checkout-via-sms-or-whatsapp.md).

# Resend checkout via SMS or Whatsapp

## Environments

{% tabs %}
{% tab title="Development" %}
<https://merchant.aplazo.net>
{% endtab %}

{% tab title="Production" %}
<https://merchant.aplazo.mx>
{% endtab %}
{% endtabs %}

## Resend Checkout URL

> Resends the checkout URL to the customer via SMS or WhatsApp to complete the payment on their phone.

```json
{"openapi":"3.0.3","info":{"title":"Aplazo In-Store Payments API","version":"1.0.0"},"servers":[{"url":"https://merchant.aplazo.net"}],"security":[{"apiKeyAuth":[]},{"merchantIdAuth":[]}],"components":{"securitySchemes":{}},"paths":{"/merchant/send-checkout/{cartId}":{"post":{"summary":"Resend Checkout URL","description":"Resends the checkout URL to the customer via SMS or WhatsApp to complete the payment on their phone.","operationId":"resendCheckout","tags":["Checkout"],"parameters":[{"in":"path","name":"cartId","required":true,"description":"Identifier of the cart/transaction to resend.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["target","channels"],"properties":{"target":{"type":"object","required":["phoneNumber"],"properties":{"phoneNumber":{"type":"string","description":"Customer's phone number (10 digits) where the message will be sent.","pattern":"^[0-9]{10}$"}}},"channels":{"type":"array","description":"List of channels through which to send the checkout URL.","items":{"type":"string","enum":["WHATSAPP","SMS"]}}}}}}},"responses":{"200":{"description":"Checkout URL sent successfully."}}}}}}
```
